#include "ScriptingDock.hxx"

void ScriptingDock::doEvaluate() {
    QString text = line->text();
    line->clear();
    LOG4CXX_INFO(logger, "Evaluating String \"" << text.toStdString() << "\"");
    browser->append(QString("> ") + text);
    
    SCM result_obj = scm_c_eval_string(text.toStdString().c_str());
    SCM result_str = scm_object_to_string(result_obj, SCM_UNDEFINED);

    SCM output = scm_get_output_string(guile_output_port);
    browser->append(scm_to_locale_string(output));
    browser->append(scm_to_locale_string(result_str));
}
